Loading...
Searching...
No Matches
casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator > Class Template Reference

Utility functions used for incrementing pointers in a data set used by the stats framework. More...

`#include <StatisticsIncrementer.h>`

## Public Member Functions

| StatisticsIncrementer ()=delete
| ~StatisticsIncrementer ()

## Static Public Member Functions

static void | increment (DataIterator &datum, uInt64 &loopCount, uInt dataStride)
| loopCount is always incremented by one, independent of the value of dataStride and maskStride
static void | increment (DataIterator &datum, uInt64 &loopCount, WeightsIterator &weight, uInt dataStride)
static void | increment (DataIterator &datum, uInt64 &loopCount, MaskIterator &mask, uInt dataStride, uInt maskStride)
static void | increment (DataIterator &datum, uInt64 &loopCount, WeightsIterator &weight, MaskIterator &mask, uInt dataStride, uInt maskStride)

## Detailed Description

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>
class casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >

Utility functions used for incrementing pointers in a data set used by the stats framework.

Definition at line 38 of file StatisticsIncrementer.h.

## Constructor & Destructor Documentation

## StatisticsIncrementer()

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::StatisticsIncrementer | ( |  | ) |

delete

## ~StatisticsIncrementer()

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::~StatisticsIncrementer | ( |  | ) |

inline

Definition at line 43 of file StatisticsIncrementer.h.

## Member Function Documentation

## increment() [1/4]

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

void casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::increment | ( | DataIterator & | datum,
|  | uInt64 & | loopCount,
|  | MaskIterator & | mask,
|  | uInt | dataStride,
|  | uInt | maskStride )

inline static

Definition at line 65 of file StatisticsIncrementer.h.

References casacore::mask().

## increment() [2/4]

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

void casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::increment | ( | DataIterator & | datum,
|  | uInt64 & | loopCount,
|  | uInt | dataStride )

inline static

loopCount is always incremented by one, independent of the value of dataStride and maskStride

Definition at line 49 of file StatisticsIncrementer.h.

## increment() [3/4]

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

void casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::increment | ( | DataIterator & | datum,
|  | uInt64 & | loopCount,
|  | WeightsIterator & | weight,
|  | MaskIterator & | mask,
|  | uInt | dataStride,
|  | uInt | maskStride )

inline static

Definition at line 74 of file StatisticsIncrementer.h.

References casacore::mask().

## increment() [4/4]

template<class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

void casacore::StatisticsIncrementer< DataIterator, MaskIterator, WeightsIterator >::increment | ( | DataIterator & | datum,
|  | uInt64 & | loopCount,
|  | WeightsIterator & | weight,
|  | uInt | dataStride )

inline static

Definition at line 56 of file StatisticsIncrementer.h.

The documentation for this class was generated from the following file:

- scimath/StatsFramework/StatisticsIncrementer.h